{% block content %}

  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/vis/4.21.0/vis.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/vis/4.21.0/vis.min.css" rel="stylesheet" type="text/css" />

  <style>
        body {
            color: #d3d3d3;
            font: 12pt arial;
            background-color: #222222;
            padding-left: 50px;
            padding-top: 50px
        }

        #mynetwork {
            width: 2600px;
            height: 1000px;
            border: 1px solid #444444;
            background-color: #FFFF;
        }
    </style>
</head>
<body>

<p>
  <font size="6">Customer services with composition</font>
</p>

<div id="mynetwork"></div>

<script type="text/javascript">
  // create an array with nodes
  var nodes = new vis.DataSet([
  {% for elem in  customer_list %}
    {id: '{{elem["id"]}}', label: '{{elem["name"]}}\n <<customer>>', shape: 'box', color: '#F6FF33', font: {size:30}, margin: {left: 50, right:50}, level:0},
  {% endfor %}
  {% for elem in  cfs_list %}
    {id: '{{elem["id"]}}', label: '{{elem["name"]}}\n <<{{elem["serviceSpecification"]["name"]}}>>', shape: 'box', color: '#90EE90', font: {size:26}, margin: {left: 50, right:50}, level:1},
  {% endfor %}
  {% for elem in  rfs_list %}
    {id: '{{elem["id"]}}', label: '{{elem["name"]}}\n <<{{elem["serviceSpecification"]["name"]}}>>', shape: 'box', margin: {left: 50, right:50, top:10, bottom:10 }, font: {size:26}, level:2},
    // {id: '{{elem["id"]}}', label: '{{elem["serviceSpecification"]["name"]}}\n{{elem["name"]}}', shape: 'box', level:2},

  {% endfor %}
  ]);

  // create an array with edges
  var edges = new vis.DataSet([
  {% for elem in  customer_to_cfs_relations %}
    {from: '{{elem["from"]}}', to: '{{elem["to"]}}', length: 200, width: 5},
  {% endfor %}
  {% for elem in  cfs_to_rfs_relations %}
    {from: '{{elem["from"]}}', to: '{{elem["to"]}}', length: 200, width: 5},
  {% endfor %}
  ]);

  // create a network
  var container = document.getElementById('mynetwork');
  var data = {
    nodes: nodes,
    edges: edges
  };
  var options = {
      layout: {
          hierarchical: {
              direction: 'UD',
              levelSeparation: 400,
              nodeSpacing: 420
          }
      },
      physics:false
  };
  var network = new vis.Network(container, data, options);
</script>
</body>
{% endblock %}
